% make movie from the result

outputVideo = VideoWriter(fullfile('separated_video.avi'));
outputVideo.FrameRate=12;
open(outputVideo);

Z1 = imnorm(reshape(Z,z1,z2,z3));
A1 = imnorm(reshape(A,z1,z2,z3));
B1 = imnorm(reshape(B,z1,z2,z3));

for ii = 1:z3
    img = [Z1(:,:,ii) A1(:,:,ii) B1(:,:,ii)];
    writeVideo(outputVideo,img);
end

close(outputVideo);

disp('videos written.')
clear outputVideo img Z1 A1 B1
